{% extends 'base.html' %}
{% load staticfiles %}

{% block content %}


<div class="form-group">



<div class="container-fluid">
  <div class="container container-rescatados-style">
    <h4>Lista {{lista.nombre_lista}}</h4>
    <div class="form-group">
            <a class="btn float-right login_btn" style="color: white;background: black;" href="{% url 'lista_agregar' id=lista.id %}">Agregar Productos</a>
        </div>
        <br>
        <br>
    <div class="row row-rescatados-title">
            <div class="col-md-1 col-rescatados-style">
                Lista
            </div>
            <div class="col-md-5 col-rescatados-style">
                Nombre Lista
            </div>
            <div class="col-md-2 col-rescatados-style">
                Q de Productos
            </div>
            <div class="col-md-2 col-rescatados-style">
                Total Presupuesto
            </div>

            <div class="col-md-2 col-rescatados-style">
                Total Real
            </div>
</div>
<ul>
  <div class="row row-rescatados-style">
            <div class="col-md-1 col-rescatados-style">
                {{lista.id}}
            </div>
            <div class="col-md-5 col-rescatados-style">
                {{lista.nombre_lista}}
            </div>
            <div class="col-md-2 col-rescatados-style">
                {{productolista.count}}
            </div>
            <div class="col-md-2 col-rescatados-style">
                {% ifequal productolista.cpres.costo_presupuesto__sum None %}
                0
                {% else %}
                    {{productolista.cpres.costo_presupuesto__sum}}
                {% endifequal %}  
            </div>
            <div class="col-md-2 col-rescatados-style">
                {% ifequal productolista.creal.costo_real__sum None %}
                0
                {% else %}
                    {{productolista.creal.costo_real__sum}}
                {% endifequal %}  
            </div>              
  </div>
  
</ul>



    <div class="row row-rescatados-title">
            <div class="col-md-1 col-rescatados-style">
                    Producto
                </div>
                <div class="col-md-1 col-rescatados-style">
                    Nombre Producto
                </div>
                <div class="col-md-2 col-rescatados-style">
                    Costo Presupuesto
                </div>
    
                <div class="col-md-1 col-rescatados-style">
                    Costo Real
                </div>
    
                <div class="col-md-2 col-rescatados-style">
                    Tienda
                </div>
    
                <div class="col-md-2 col-rescatados-style">
                    Notas Adicionales
                </div>
                <div class="col-md-2 col-rescatados-style">
                    Operaciones
                </div>
    </div>
    {% if productolista %}
    <ul>
      {% for r in productolista %}
      <div class="row row-rescatados-style">
            <div class="col-md-1 col-rescatados-style">
                    {{r.id}}
                </div>
                <div class="col-md-1 col-rescatados-style">
                    {{r.nombre_producto}}
                </div>
                <div class="col-md-2 col-rescatados-style">
                    {{r.costo_presupuesto}}
                </div>
                <div class="col-md-1 col-rescatados-style rescatados-description">
                    {{r.costo_real}}
                </div>
                <div class="col-md-2 col-rescatados-style">
                    {{r.tienda}}
                </div>

                <div class="col-md-2 col-rescatados-style">
                    {{r.nota_adicionales}}
                </div>
                <div class="col-md-1 col-rescatados-style">
                    <a href="{% url 'producto_editar' pk=r.id %}">Editar</a>
                </div>
                <div class="col-md-1 col-rescatados-style">
                    <a href="{% url 'productolista_eliminar' lista=lista.id  producto=r.id %}">Eliminar</a>
                </div>  
      </div>
      {% endfor %}

    </ul>
    {% else %}
    <p>No hay productos en esta lista</p>
    {% endif %}
  </div>
  {% endblock %}